#TITLE=jQuery 3.3.1
#INFO
jQuery Methods from jQuery Documentation vs 3.3.1
#SORT=y

#INFO
;Traversing > Miscellaneous Traversing
;Create a new jQuery object with elements added to the set of matched elements.
#T=.add
.add(^!)
#INFO
;Traversing > Miscellaneous Traversing
;Add the previous set of elements on the stack to the current set, optionally filtered by a selector.
#T=.addBack
.addBack(^!)
#INFO
;Attributes | Manipulation > Class Attribute | CSS
;Adds the specified class(es) to each element in the set of matched elements.
#T=.addClass
.addClass(^!)
#INFO
;Manipulation > DOM Insertion, Outside
;Insert content, specified by the parameter, after each element in the set of matched elements.
#T=.after
.after(^!)
#INFO
;Ajax > Global Ajax Event Handlers
;Register a handler to be called when Ajax requests complete. This is an AjaxEvent.
#T=.ajaxComplete
.ajaxComplete(^!)
#INFO
;Ajax > Global Ajax Event Handlers
;Register a handler to be called when Ajax requests complete with an error. This is an Ajax Event.
#T=.ajaxError
.ajaxError(^!)
#INFO
;Ajax > Global Ajax Event Handlers
;Attach a function to be executed before an Ajax request is sent. This is an Ajax Event.
#T=.ajaxSend
.ajaxSend(^!)
#INFO
;Ajax > Global Ajax Event Handlers
;Register a handler to be called when the first Ajax request begins. This is an Ajax Event.
#T=.ajaxStart
.ajaxStart(^!)
#INFO
;Ajax > Global Ajax Event Handlers
;Register a handler to be called when all Ajax requests have completed. This is an Ajax Event.
#T=.ajaxStop
.ajaxStop(^!)
#INFO
;Ajax > Global Ajax Event Handlers
;Attach a function to be executed whenever an Ajax request completes successfully. This is an Ajax Event.
#T=.ajaxSuccess
.ajaxSuccess(^!)
#INFO
;Selectors > Basic
;Selects all elements.
#T=All Selector (“*”)
$('*')^!
#INFO
;Deprecated > Deprecated 1.8 | Traversing > Miscellaneous Traversing | Removed
;Add the previous set of elements on the stack to the current set.
#T=.andSelf
.andSelf(^!)
#INFO
;Effects > Custom
;Perform a custom animation of a set of CSS properties.
#T=.animate
.animate(^!)
#INFO
;Selectors > Basic Filter | Selectors > jQuery Extensions
;Select all elements that are in the progress of an animation at the time the selector is run.
#T=:animated Selector
$(':animated')^!
#INFO
;Manipulation > DOM Insertion, Inside
;Insert content, specified by the parameter, to the end of each element in the set of matched elements.
#T=.append
.append(^!)
#INFO
;Manipulation > DOM Insertion, Inside
;Insert every element in the set of matched elements to the end of the target.
#T=.appendTo
.appendTo(^!)
#INFO
;Attributes | Manipulation > General Attributes
;Get the value of an attribute for the first element in the set of matched elements or set one or more attributes for every matched element.
#T=.attr
.attr(^!)
#INFO
;Selectors > Attribute
;Selects elements that have the specified attribute with a value either equal to a given string or starting with that string followed by a hyphen (-).
#T=Attribute Contains Prefix Selector [name|=”value”]
$('[^!|=]')
#INFO
;Selectors > Attribute
;Selects elements that have the specified attribute with a value containing a given substring.
#T=Attribute Contains Selector [name*=”value”]
$('[^!*=]')
#INFO
;Selectors > Attribute
;Selects elements that have the specified attribute with a value containing a given word, delimited by spaces.
#T=Attribute Contains Word Selector [name~=”value”]
$('[^!~=]')
#INFO
;Selectors > Attribute
;Selects elements that have the specified attribute with a value ending exactly with a given string. The comparison is case sensitive.
#T=Attribute Ends With Selector [name$=”value”]
$('[^!$=]')
#INFO
;Selectors > Attribute
;Selects elements that have the specified attribute with a value exactly equal to a certain value.
#T=Attribute Equals Selector [name=”value”]
$('[^!=]')
#INFO
;Selectors > Attribute | Selectors > jQuery Extensions
;Select elements that either don’t have the specified attribute, or do have the specified attribute but not with a certain value.
#T=Attribute Not Equal Selector [name!=”value”]
$('[^!!=]')
#INFO
;Selectors > Attribute
;Selects elements that have the specified attribute with a value beginning exactly with a given string.
#T=Attribute Starts With Selector [name^=”value”]
$('[^!^=]')
#INFO
;Manipulation > DOM Insertion, Outside
;Insert content, specified by the parameter, before each element in the set of matched elements.
#T=.before
.before(^!)
#INFO
;Deprecated > Deprecated 3.0 | Events > Event Handler Attachment
;Attach a handler to an event for the elements.
#T=.bind
.bind(^!)
#INFO
;Events > Form Events | Forms
;Bind an event handler to the “blur” JavaScript event, or trigger that event on an element.
#T=.blur
.blur(^!)
#INFO
;Selectors > Form | Selectors > jQuery Extensions
;Selects all button elements and elements of type button.
#T=:button Selector
$(':button')^!
#INFO
;Callbacks Object
;Add a callback or a collection of callbacks to a callback list.
#T=callbacks.add
callbacks.add(^!)
#INFO
;Callbacks Object
;Disable a callback list from doing anything more.
#T=callbacks.disable
callbacks.disable(^!)
#INFO
;Callbacks Object
;Determine if the callbacks list has been disabled.
#T=callbacks.disabled
callbacks.disabled(^!)
#INFO
;Callbacks Object
;Remove all of the callbacks from a list.
#T=callbacks.empty
callbacks.empty(^!)
#INFO
;Callbacks Object
;Call all of the callbacks with the given arguments.
#T=callbacks.fire
callbacks.fire(^!)
#INFO
;Callbacks Object
;Determine if the callbacks have already been called at least once.
#T=callbacks.fired
callbacks.fired(^!)
#INFO
;Callbacks Object
;Call all callbacks in a list with the given context and arguments.
#T=callbacks.fireWith
callbacks.fireWith(^!)
#INFO
;Callbacks Object
;Determine whether or not the list has any callbacks attached. If a callback is provided as an argument, determine whether it is in a list.
#T=callbacks.has
callbacks.has(^!)
#INFO
;Callbacks Object
;Lock a callback list in its current state.
#T=callbacks.lock
callbacks.lock(^!)
#INFO
;Callbacks Object
;Determine if the callbacks list has been locked.
#T=callbacks.locked
callbacks.locked(^!)
#INFO
;Callbacks Object
;Remove a callback or a collection of callbacks from a callback list.
#T=callbacks.remove
callbacks.remove(^!)
#INFO
;Events > Form Events | Forms
;Bind an event handler to the “change” JavaScript event, or trigger that event on an element.
#T=.change
.change(^!)
#INFO
;Selectors > Form | Selectors > jQuery Extensions
;Selects all elements of type checkbox.
#T=:checkbox Selector
$(':checkbox')^!
#INFO
;Selectors > Form
;Matches all elements that are checked or selected.
#T=:checked Selector
$(':checked')^!
#INFO
;Selectors > Hierarchy
;Selects all direct child elements specified by “child” of elements specified by “parent”.
#T=Child Selector (“parent > child”)
$('^! > ')
#INFO
;Traversing > Tree Traversal
;Get the children of each element in the set of matched elements, optionally filtered by a selector.
#T=.children
.children(^!)
#INFO
;Selectors > Basic
;Selects all elements with the given class.
#T=Class Selector (“.class”)
$('.^!')
#INFO
;Effects > Custom | Data | Utilities
;Remove from the queue all items that have not yet been run.
#T=.clearQueue
.clearQueue(^!)
#INFO
;Events > Mouse Events
;Bind an event handler to the “click” JavaScript event, or trigger that event on an element.
#T=.click
.click(^!)
#INFO
;Manipulation > Copying
;Create a deep copy of the set of matched elements.
#T=.clone
.clone(^!)
#INFO
;Traversing > Tree Traversal
;For each element in the set, get the first element that matches the selector by testing the element itself and traversing up through its ancestors in the DOM tree.
#T=.closest
.closest(^!)
#INFO
;Selectors > Content Filter
;Select all elements that contain the specified text.
#T=:contains() Selector
$(':contains("^!")')
#INFO
;Traversing > Miscellaneous Traversing
;Get the children of each element in the set of matched elements, including text and comment nodes.
#T=.contents
.contents(^!)
#INFO
;Deprecated > Deprecated 1.10 | Internals | Properties > Properties of jQuery Object Instances | Removed
;The DOM node context originally passed to jQuery(); if none was passed then context will likely be the document.
#T=.context
$('^!').context
#INFO
;Events > Mouse Events
;Bind an event handler to the “contextmenu” JavaScript event, or trigger that event on an element.
#T=.contextmenu
.contextmenu(^!)
#INFO
;CSS | Manipulation > Style Properties
;Get the value of a computed style property for the first element in the set of matched elements or set one or more CSS properties for every matched element.
#T=.css
.css(^!)
#INFO
;Data | Miscellaneous > Data Storage
;Store arbitrary data associated with the matched elements or return the value at the named data store for the first element in the set of matched elements.
#T=.data
.data(^!)
#INFO
;Events > Mouse Events
;Bind an event handler to the “dblclick” JavaScript event, or trigger that event on an element.
#T=.dblclick
.dblclick(^!)
#INFO
;Deferred Object
;Add handlers to be called when the Deferred object is either resolved or rejected.
#T=deferred.always
deferred.always(^!)
#INFO
;Deferred Object
;Add handlers to be called when the Deferred object is rejected.
#T=deferred.catch
deferred.catch(^!)
#INFO
;Deferred Object
;Add handlers to be called when the Deferred object is resolved.
#T=deferred.done
deferred.done(^!)
#INFO
;Deferred Object
;Add handlers to be called when the Deferred object is rejected.
#T=deferred.fail
deferred.fail(^!)
#INFO
;Deferred Object | Deprecated > Deprecated 1.7 | Removed
;Determine whether a Deferred object has been rejected.
#T=deferred.isRejected
deferred.isRejected(^!)
#INFO
;Deferred Object | Deprecated > Deprecated 1.7 | Removed
;Determine whether a Deferred object has been resolved.
#T=deferred.isResolved
deferred.isResolved(^!)
#INFO
;Deferred Object
;Call the progressCallbacks on a Deferred object with the given args.
#T=deferred.notify
deferred.notify(^!)
#INFO
;Deferred Object
;Call the progressCallbacks on a Deferred object with the given context and args.
#T=deferred.notifyWith
deferred.notifyWith(^!)
#INFO
;Deferred Object | Deprecated > Deprecated 1.8
;Utility method to filter and/or chain Deferreds.
#T=deferred.pipe
deferred.pipe(^!)
#INFO
;Deferred Object
;Add handlers to be called when the Deferred object generates progress notifications.
#T=deferred.progress
deferred.progress(^!)
#INFO
;Deferred Object
;Return a Deferred’s Promise object.
#T=deferred.promise
deferred.promise(^!)
#INFO
;Deferred Object
;Reject a Deferred object and call any failCallbacks with the given args.
#T=deferred.reject
deferred.reject(^!)
#INFO
;Deferred Object
;Reject a Deferred object and call any failCallbacks with the given context and args.
#T=deferred.rejectWith
deferred.rejectWith(^!)
#INFO
;Deferred Object
;Resolve a Deferred object and call any doneCallbacks with the given args.
#T=deferred.resolve
deferred.resolve(^!)
#INFO
;Deferred Object
;Resolve a Deferred object and call any doneCallbacks with the given context and args.
#T=deferred.resolveWith
deferred.resolveWith(^!)
#INFO
;Deferred Object
;Determine the current state of a Deferred object.
#T=deferred.state
deferred.state(^!)
#INFO
;Deferred Object
;Add handlers to be called when the Deferred object is resolved, rejected, or still in progress.
#T=deferred.then
deferred.then(^!)
#INFO
;Effects > Custom
;Set a timer to delay execution of subsequent items in the queue.
#T=.delay
.delay(^!)
#INFO
;Deprecated > Deprecated 3.0 | Events > Event Handler Attachment
;Attach a handler to one or more events for all elements that match the selector, now or in the future, based on a specific set of root elements.
#T=.delegate
.delegate(^!)
#INFO
;Effects > Custom | Data | Utilities
;Execute the next function on the queue for the matched elements.
#T=.dequeue
.dequeue(^!)
#INFO
;Selectors > Hierarchy
;Selects all elements that are descendants of a given ancestor.
#T=Descendant Selector (“ancestor descendant”)
$('^!parent child')
#INFO
;Manipulation > DOM Removal
;Remove the set of matched elements from the DOM.
#T=.detach
.detach(^!)
#INFO
;Deprecated > Deprecated 1.7 | Events > Event Handler Attachment | Removed
;Remove event handlers previously attached using .live() from the elements.
#T=.die
.die(^!)
#INFO
;Selectors > Form
;Selects all elements that are disabled.
#T=:disabled Selector
$(':disabled')^!
#INFO
;Miscellaneous > Collection Manipulation | Traversing
;Iterate over a jQuery object, executing a function for each matched element.
#T=.each
.each(^!)
#INFO
;Selectors > Basic
;Selects all elements with the given tag name.
#T=Element Selector (“element”)
$('^!')
#INFO
;Manipulation > DOM Removal
;Remove all child nodes of the set of matched elements from the DOM.
#T=.empty
.empty(^!)
#INFO
;Selectors > Content Filter
;Select all elements that have no children (including text nodes).
#T=:empty Selector
$(':empty')^!
#INFO
;Selectors > Form
;Selects all elements that are enabled.
#T=:enabled Selector
$(':enabled')^!
#INFO
;Traversing > Miscellaneous Traversing
;End the most recent filtering operation in the current chain and return the set of matched elements to its previous state.
#T=.end
.end(^!)
#INFO
;Traversing > Filtering
;Reduce the set of matched elements to the one at the specified index.
#T=.eq
.eq(^!)
#INFO
;Selectors > Basic Filter | Selectors > jQuery Extensions
;Select the element at index n within the matched set.
#T=:eq() Selector
$('^!:eq()')
#INFO
;Events > Browser Events | Deprecated > Deprecated 1.8 | Removed
;Bind an event handler to the “error” JavaScript event.
#T=.error
.error(^!)
#INFO
;Selectors > Basic Filter | Selectors > jQuery Extensions
;Selects even elements, zero-indexed. See also odd.
#T=:even Selector
$(':even')^!
#INFO
;Events > Event Object
;The current DOM element within the event bubbling phase.
#T=event.currentTarget
event.currentTarget^!
#INFO
;Events > Event Object
;An optional object of data passed to an event method when the current executing handler is bound.
#T=event.data
event.data^!
#INFO
;Events > Event Object | Events
;The element where the currently-called jQuery event handler was attached.
#T=event.delegateTarget
event.delegateTarget^!
#INFO
;Events > Event Object
;Returns whether event.preventDefault() was ever called on this event object.
#T=event.isDefaultPrevented
event.isDefaultPrevented(^!)
#INFO
;Events > Event Object
;Returns whether event.stopImmediatePropagation() was ever called on this event object.
#T=event.isImmediatePropagationStopped
event.isImmediatePropagationStopped(^!)
#INFO
;Events > Event Object
;Returns whether event.stopPropagation() was ever called on this event object.
#T=event.isPropagationStopped
event.isPropagationStopped(^!)
#INFO
;Events > Event Object
;Indicates whether the META key was pressed when the event fired.
#T=event.metaKey
event.metaKey^!
#INFO
;Events > Event Object
;The namespace specified when the event was triggered.
#T=event.namespace
event.namespace^!
#INFO
;Events > Event Object
;The mouse position relative to the left edge of the document.
#T=event.pageX
event.pageX^!
#INFO
;Events > Event Object
;The mouse position relative to the top edge of the document.
#T=event.pageY
event.pageY^!
#INFO
;Events > Event Object
;If this method is called, the default action of the event will not be triggered.
#T=event.preventDefault
event.preventDefault(^!)
#INFO
;Events > Event Object
;The other DOM element involved in the event, if any.
#T=event.relatedTarget
event.relatedTarget^!
#INFO
;Events > Event Object
;The last value returned by an event handler that was triggered by this event, unless the value was undefined.
#T=event.result
event.result^!
#INFO
;Events > Event Object
;Keeps the rest of the handlers from being executed and prevents the event from bubbling up the DOM tree.
#T=event.stopImmediatePropagation
event.stopImmediatePropagation(^!)
#INFO
;Events > Event Object
;Prevents the event from bubbling up the DOM tree, preventing any parent handlers from being notified of the event.
#T=event.stopPropagation
event.stopPropagation(^!)
#INFO
;Events > Event Object
;The DOM element that initiated the event.
#T=event.target
event.target^!
#INFO
;Events > Event Object
;The difference in milliseconds between the time the browser created the event and January 1, 1970.
#T=event.timeStamp
event.timeStamp^!
#INFO
;Events > Event Object
;Describes the nature of the event.
#T=event.type
event.type^!
#INFO
;Events > Event Object
;For key or mouse events, this property indicates the specific key or button that was pressed.
#T=event.which
event.which^!
#INFO
;Effects > Fading
;Display the matched elements by fading them to opaque.
#T=.fadeIn
.fadeIn(^!)
#INFO
;Effects > Fading
;Hide the matched elements by fading them to transparent.
#T=.fadeOut
.fadeOut(^!)
#INFO
;Effects > Fading
;Adjust the opacity of the matched elements.
#T=.fadeTo
.fadeTo(^!)
#INFO
;Effects | Effects > Fading
;Display or hide the matched elements by animating their opacity.
#T=.fadeToggle
.fadeToggle(^!)
#INFO
;Selectors > Form | Selectors > jQuery Extensions
;Selects all elements of type file.
#T=:file Selector
$(':file')^!
#INFO
;Traversing > Filtering
;Reduce the set of matched elements to those that match the selector or pass the function’s test.
#T=.filter
.filter(^!)
#INFO
;Traversing > Tree Traversal
;Get the descendants of each element in the current set of matched elements, filtered by a selector, jQuery object, or element.
#T=.find
.find(^!)
#INFO
;Effects > Custom
;Stop the currently-running animation, remove all queued animations, and complete all animations for the matched elements.
#T=.finish
.finish(^!)
#INFO
;Traversing > Filtering
;Reduce the set of matched elements to the first in the set.
#T=.first
.first(^!)
#INFO
;Selectors > Child Filter
;Selects all elements that are the first child of their parent.
#T=:first-child Selector
$('^!:first-child')
#INFO
;Selectors > Child Filter
;Selects all elements that are the first among siblings of the same element name.
#T=:first-of-type Selector
$('^!:first-of-type')
#INFO
;Selectors > Basic Filter | Selectors > jQuery Extensions
;Selects the first matched DOM element.
#T=:first Selector
$('^!:first')
#INFO
;Events > Form Events | Forms
;Bind an event handler to the “focus” JavaScript event, or trigger that event on an element.
#T=.focus
.focus(^!)
#INFO
;Selectors > Basic Filter | Selectors > Form
;Selects element if it is currently focused.
#T=:focus Selector
$('^!:focus')
#INFO
;Events > Form Events | Forms
;Bind an event handler to the “focusin” event.
#T=.focusin
.focusin(^!)
#INFO
;Events > Form Events | Forms
;Bind an event handler to the “focusout” JavaScript event.
#T=.focusout
.focusout(^!)
#INFO
;Miscellaneous > DOM Element Methods
;Retrieve the DOM elements matched by the jQuery object.
#T=.get
.get(^!)
#INFO
;Selectors > Basic Filter | Selectors > jQuery Extensions
;Select all elements at an index greater than index within the matched set.
#T=:gt() Selector
$('^!:gt()')
#INFO
;Traversing > Filtering
;Reduce the set of matched elements to those that have a descendant that matches the selector or DOM element.
#T=.has
.has(^!)
#INFO
;Selectors > Attribute
;Selects elements that have the specified attribute, with any value.
#T=Has Attribute Selector [name]
$('^![]')
#INFO
;Selectors > Content Filter | Selectors > jQuery Extensions
;Selects elements which contain at least one element that matches the specified selector.
#T=:has() Selector
$('^!:has()')
#INFO
;Attributes | Manipulation > Class Attribute | CSS
;Determine whether any of the matched elements are assigned the given class.
#T=.hasClass
.hasClass(^!)
#INFO
;Selectors > Basic Filter | Selectors > jQuery Extensions
;Selects all elements that are headers, like h1, h2, h3 and so on.
#T=:header Selector
$(':header')^!
#INFO
;CSS | Dimensions | Manipulation > Style Properties
;Get the current computed height for the first element in the set of matched elements or set the height of every matched element.
#T=.height
.height(^!)
#INFO
;Selectors > jQuery Extensions | Selectors > Visibility Filter
;Selects all elements that are hidden.
#T=:hidden Selector
$(':hidden')^!
#INFO
;Effects > Basics
;Hide the matched elements.
#T=.hide
.hide(^!)
#INFO
;Events > Mouse Events
;Bind one or two handlers to the matched elements, to be executed when the mouse pointer enters and leaves the elements.
#T=.hover
.hover(^!)
#INFO
;Attributes | Manipulation > DOM Insertion, Inside
;Get the HTML contents of the first element in the set of matched elements or set the HTML contents of every matched element.
#T=.html
.html(^!)
#INFO
;Selectors > Basic
;Selects a single element with the given id attribute.
#T=ID Selector (“#id”)
$('#^!')
#INFO
;Selectors > Form | Selectors > jQuery Extensions
;Selects all elements of type image.
#T=:image Selector
$(':image')^!
#INFO
;Miscellaneous > DOM Element Methods
;Search for a given element from among the matched elements.
#T=.index
.index(^!)
#INFO
;CSS | Dimensions | Manipulation > Style Properties
;Get the current computed inner height (including padding but not border) for the first element in the set of matched elements or set the inner height of every matched element.
#T=.innerHeight
.innerHeight(^!)
#INFO
;CSS | Dimensions | Manipulation > Style Properties
;Get the current computed inner width (including padding but not border) for the first element in the set of matched elements or set the inner width of every matched element.
#T=.innerWidth
.innerWidth(^!)
#INFO
;Selectors > Form | Selectors > jQuery Extensions
;Selects all input, textarea, select and button elements.
#T=:input Selector
$(':input')^!
#INFO
;Manipulation > DOM Insertion, Outside
;Insert every element in the set of matched elements after the target.
#T=.insertAfter
.insertAfter(^!)
#INFO
;Manipulation > DOM Insertion, Outside
;Insert every element in the set of matched elements before the target.
#T=.insertBefore
.insertBefore(^!)
#INFO
;Traversing > Filtering
;Check the current matched set of elements against a selector, element, or jQuery object and return true if at least one of these elements matches the given arguments.
#T=.is
.is(^!)
#INFO
;Core
;Return a collection of matched elements either found in the DOM based on passed argument(s) or created by passing an HTML string.
#T=jQuery()
$(^!)
#INFO
;Internals | Properties > Properties of jQuery Object Instances
;A string containing the jQuery version number.
#T=.jquery
.jquery^!
#INFO
;Ajax > Low-Level Interface
;Perform an asynchronous HTTP (Ajax) request.
#T=jQuery.ajax
$.ajax(^!)
#INFO
;Ajax > Low-Level Interface
;Handle custom Ajax options or modify existing options before each request is sent and before they are processed by $.ajax().
#T=jQuery.ajaxPrefilter
$.ajaxPrefilter(^!)
#INFO
;Ajax > Low-Level Interface
;Set default values for future Ajax requests. Its use is not recommended.
#T=jQuery.ajaxSetup
$.ajaxSetup(^!)
#INFO
;Ajax > Low-Level Interface
;Creates an object that handles the actual transmission of Ajax data.
#T=jQuery.ajaxTransport
$.ajaxTransport(^!)
#INFO
;Deprecated > Deprecated 1.3 | Removed | Utilities
;States if the current page, in the user’s browser, is being rendered using the W3C CSS Box Model. This property was removed in jQuery 1.8. Please try to use feature detection instead.
#T=jQuery.boxModel
$.boxModel^!
#INFO
;Deprecated > Deprecated 1.3 | Properties > Properties of the Global jQuery Object | Removed | Utilities
;Contains flags for the useragent, read from navigator.userAgent. This property was removed in jQuery 1.9 and is available only through the jQuery.migrate plugin. Please try to use feature detection instead.
#T=jQuery.browser
$.browser^!
#INFO
;Callbacks Object
;A multi-purpose callbacks list object that provides a powerful way to manage callback lists.
#T=jQuery.Callbacks
$.Callbacks(^!)
#INFO
;Utilities
;Check to see if a DOM element is a descendant of another DOM element.
#T=jQuery.contains
$.contains(^!)
#INFO
;CSS
;Hook directly into jQuery to override how particular CSS properties are retrieved or set, normalize CSS property naming, or create custom properties.
#T=jQuery.cssHooks
$.cssHooks^!
#INFO
;CSS | Manipulation > Style Properties
;An object containing all CSS properties that may be used without a unit. The .css() method uses this object to see if it may append px to unitless values.
#T=jQuery.cssNumber
$.cssNumber^!
#INFO
;Data | Utilities
;Store arbitrary data associated with the specified element and/or return the value that was set.
#T=jQuery.data
$.data(^!)
#INFO
;Deferred Object
;A factory function that returns a chainable utility object with methods to register multiple callbacks into callback queues, invoke callback queues, and relay the success or failure state of any synchronous or asynchronous function.
#T=jQuery.Deferred
$.Deferred(^!)
#INFO
;Data | Utilities
;Execute the next function on the queue for the matched element.
#T=jQuery.dequeue
$.dequeue(^!)
#INFO
;Utilities
;A generic iterator function, which can be used to seamlessly iterate over both objects and arrays. Arrays and array-like objects with a length property (such as a function’s arguments object) are iterated by numeric index, from 0 to length-1. Other objects are iterated via their named properties.
#T=jQuery.each
$.each(^!)
#INFO
;Internals
;Takes a string and throws an exception containing it.
#T=jQuery.error
$.error(^!)
#INFO
;CSS
;Escapes any character that has a special meaning in a CSS selector.
#T=jQuery.escapeSelector
$.escapeSelector(^!)
#INFO
;Utilities
;Merge the contents of two or more objects together into the first object.
#T=jQuery.extend
$.extend(^!)
#INFO
;Utilities
;Merge the contents of an object onto the jQuery prototype to provide new jQuery instance methods.
#T=jQuery.fn.extend
$.fn.extend(^!)
#INFO
;Effects > Custom | Deprecated > Deprecated 3.0 | Properties > Properties of the Global jQuery Object
;The rate (in milliseconds) at which animations fire.
#T=jQuery.fx.interval
$.fx.interval^!
#INFO
;Effects > Custom | Properties > Properties of the Global jQuery Object
;Globally disable all animations.
#T=jQuery.fx.off
$.fx.off^!
#INFO
;Ajax > Shorthand Methods
;Load data from the server using a HTTP GET request.
#T=jQuery.get
$.get(^!)
#INFO
;Ajax > Shorthand Methods
;Load JSON-encoded data from the server using a GET HTTP request.
#T=jQuery.getJSON
$.getJSON(^!)
#INFO
;Ajax > Shorthand Methods
;Load a JavaScript file from the server using a GET HTTP request, then execute it.
#T=jQuery.getScript
$.getScript(^!)
#INFO
;Utilities
;Execute some JavaScript code globally.
#T=jQuery.globalEval
$.globalEval(^!)
#INFO
;Utilities
;Finds the elements of an array which satisfy a filter function. The original array is not affected.
#T=jQuery.grep
$.grep(^!)
#INFO
;Data
;Determine whether an element has any jQuery data associated with it.
#T=jQuery.hasData
$.hasData(^!)
#INFO
;Core | Events > Document Loading | Properties > Properties of the Global jQuery Object
;Holds or releases the execution of jQuery’s ready event.
#T=jQuery.holdReady
$.holdReady(^!)
#INFO
;Manipulation
;Modify and filter HTML strings passed through jQuery manipulation methods.
#T=jQuery.htmlPrefilter
$.htmlPrefilter(^!)
#INFO
;Utilities
;Search for a specified value within an array and return its index (or -1 if not found).
#T=jQuery.inArray
$.inArray(^!)
#INFO
;Utilities
;Determine whether the argument is an array.
#T=jQuery.isArray
$.isArray(^!)
#INFO
;Utilities
;Check to see if an object is empty (contains no enumerable properties).
#T=jQuery.isEmptyObject
$.isEmptyObject(^!)
#INFO
;Deprecated > Deprecated 3.3 | Utilities
;Determines if its argument is callable as a function.
#T=jQuery.isFunction
$.isFunction(^!)
#INFO
;Utilities
;Determines whether its argument represents a JavaScript number.
#T=jQuery.isNumeric
$.isNumeric(^!)
#INFO
;Utilities
;Check to see if an object is a plain object (created using “{}” or “new Object”).
#T=jQuery.isPlainObject
$.isPlainObject(^!)
#INFO
;Deprecated > Deprecated 3.3 | Utilities
;Determine whether the argument is a window.
#T=jQuery.isWindow
$.isWindow(^!)
#INFO
;Utilities
;Check to see if a DOM node is within an XML document (or is an XML document).
#T=jQuery.isXMLDoc
$.isXMLDoc(^!)
#INFO
;Utilities
;Convert an array-like object into a true JavaScript array.
#T=jQuery.makeArray
$.makeArray(^!)
#INFO
;Utilities
;Translate all items in an array or object to new array of items.
#T=jQuery.map
$.map(^!)
#INFO
;Utilities
;Merge the contents of two arrays together into the first array.
#T=jQuery.merge
$.merge(^!)
#INFO
;Core | Miscellaneous > Setup Methods
;Relinquish jQuery’s control of the $ variable.
#T=jQuery.noConflict
$.noConflict(^!)
#INFO
;Utilities
;An empty function.
#T=jQuery.noop
$.noop(^!)
#INFO
;Utilities
;Return a number representing the current time.
#T=jQuery.now
$.now(^!)
#INFO
;Miscellaneous > Collection Manipulation | Forms | Ajax > Helper Functions
;Create a serialized representation of an array, a plain object, or a jQuery object suitable for use in a URL query string or Ajax request. In case a jQuery object is passed, it should contain input elements with name/value properties.
#T=jQuery.param
$.param(^!)
#INFO
;Utilities
;Parses a string into an array of DOM nodes.
#T=jQuery.parseHTML
$.parseHTML(^!)
#INFO
;Utilities
;Takes a well-formed JSON string and returns the resulting JavaScript value.
#T=jQuery.parseJSON
$.parseJSON(^!)
#INFO
;Utilities
;Parses a string into an XML document.
#T=jQuery.parseXML
$.parseXML(^!)
#INFO
;Ajax > Shorthand Methods
;Load data from the server using a HTTP POST request.
#T=jQuery.post
$.post(^!)
#INFO
;Events > Event Handler Attachment | Utilities
;Takes a function and returns a new one that will always have a particular context.
#T=jQuery.proxy
$.proxy(^!)
#INFO
;Data | Utilities
;Show or manipulate the queue of functions to be executed on the matched element.
#T=jQuery.queue
$.queue(^!)
#INFO
;Core | Events > Document Loading | Properties > Properties of the Global jQuery Object
;A Promise-like object (or “thenable”) that resolves when the document is ready.
#T=jQuery.ready
$.ready^!
#INFO
;Core
;Handles errors thrown synchronously in functions wrapped in jQuery().
#T=jQuery.readyException
$.readyException(^!)
#INFO
;Data | Utilities
;Remove a previously-stored piece of data.
#T=jQuery.removeData
$.removeData(^!)
#INFO
;Effects > Custom
;Creates an object containing a set of properties ready to be used in the definition of custom animations.
#T=jQuery.speed
$.speed^!
#INFO
;Core | Deprecated > Deprecated 1.7 | Removed
;Creates a new copy of jQuery whose properties and methods can be modified without affecting the original jQuery object.
#T=jQuery.sub
$.sub(^!)
#INFO
;Deprecated > Deprecated 1.9 | Properties > Properties of the Global jQuery Object | Utilities
;A collection of properties that represent the presence of different browser features or bugs. Intended for jQuery’s internal use; specific properties may be removed when they are no longer needed internally to improve page startup performance. For your own project’s feature-detection needs, we strongly recommend the use of an external library such as Modernizr instead of dependency on properties in jQuery.support.
#T=jQuery.support
$.support^!
#INFO
;Utilities
;Remove the whitespace from the beginning and end of a string.
#T=jQuery.trim
$.trim(^!)
#INFO
;Utilities
;Determine the internal JavaScript [[Class]] of an object.
#T=jQuery.type
$.type(^!)
#INFO
;Utilities
;Sorts an array of DOM elements, in place, with the duplicates removed. Note that this only works on arrays of DOM elements, not strings or numbers.
#T=jQuery.unique
$.unique(^!)
#INFO
;Utilities
;Sorts an array of DOM elements, in place, with the duplicates removed. Note that this only works on arrays of DOM elements, not strings or numbers.
#T=jQuery.uniqueSort
$.uniqueSort(^!)
#INFO
;Core | Deferred Object
;Provides a way to execute callback functions based on zero or more Thenable objects, usually Deferred objects that represent asynchronous events.
#T=jQuery.when
$.when(^!)
#INFO
;Events > Keyboard Events
;Bind an event handler to the “keydown” JavaScript event, or trigger that event on an element.
#T=.keydown
.keydown(^!)
#INFO
;Events > Keyboard Events
;Bind an event handler to the “keypress” JavaScript event, or trigger that event on an element.
#T=.keypress
.keypress(^!)
#INFO
;Events > Keyboard Events
;Bind an event handler to the “keyup” JavaScript event, or trigger that event on an element.
#T=.keyup
.keyup(^!)
#INFO
;Selectors > Basic Filter
;Selects all elements of the specified language.
#T=:lang() Selector
$('^!:lang()')
#INFO
;Traversing > Filtering
;Reduce the set of matched elements to the final one in the set.
#T=.last
.last(^!)
#INFO
;Selectors > Child Filter
;Selects all elements that are the last child of their parent.
#T=:last-child Selector
$('^!:last-child')
#INFO
;Selectors > Child Filter
;Selects all elements that are the last among siblings of the same element name.
#T=:last-of-type Selector
$('^!:last-of-type')
#INFO
;Selectors > Basic Filter | Selectors > jQuery Extensions
;Selects the last matched element.
#T=:last Selector
$('^!:last')
#INFO
;Properties > Properties of jQuery Object Instances
;The number of elements in the jQuery object.
#T=.length
.length^!
#INFO
;Deprecated > Deprecated 1.7 | Events > Event Handler Attachment | Removed
;Attach an event handler for all elements which match the current selector, now and in the future.
#T=.live
.live(^!)
#INFO
;Ajax > Shorthand Methods
;Load data from the server and place the returned HTML into the matched element.
#T=.load
.load(^!)
#INFO
;Deprecated > Deprecated 1.8 | Events > Document Loading | Removed
;Bind an event handler to the “load” JavaScript event.
#T=.load
.load(^!)
#INFO
;Selectors > Basic Filter | Selectors > jQuery Extensions
;Select all elements at an index less than index within the matched set.
#T=:lt() Selector
$('^!:lt()')
#INFO
;Traversing > Filtering
;Pass each element in the current matched set through a function, producing a new jQuery object containing the return values.
#T=.map
.map(^!)
#INFO
;Events > Mouse Events
;Bind an event handler to the “mousedown” JavaScript event, or trigger that event on an element.
#T=.mousedown
.mousedown(^!)
#INFO
;Events > Mouse Events
;Bind an event handler to be fired when the mouse enters an element, or trigger that handler on an element.
#T=.mouseenter
.mouseenter(^!)
#INFO
;Events > Mouse Events
;Bind an event handler to be fired when the mouse leaves an element, or trigger that handler on an element.
#T=.mouseleave
.mouseleave(^!)
#INFO
;Events > Mouse Events
;Bind an event handler to the “mousemove” JavaScript event, or trigger that event on an element.
#T=.mousemove
.mousemove(^!)
#INFO
;Events > Mouse Events
;Bind an event handler to the “mouseout” JavaScript event, or trigger that event on an element.
#T=.mouseout
.mouseout(^!)
#INFO
;Events > Mouse Events
;Bind an event handler to the “mouseover” JavaScript event, or trigger that event on an element.
#T=.mouseover
.mouseover(^!)
#INFO
;Events > Mouse Events
;Bind an event handler to the “mouseup” JavaScript event, or trigger that event on an element.
#T=.mouseup
.mouseup(^!)
#INFO
;Selectors > Attribute
;Matches elements that match all of the specified attribute filters.
#T=Multiple Attribute Selector [name=”value”][name2=”value2″]
$('^![attr=val][attr=val]')
#INFO
;Selectors > Basic
;Selects the combined results of all the specified selectors.
#T=Multiple Selector (“selector1, selector2, selectorN”)
$('^!, , ')
#INFO
;Traversing > Tree Traversal
;Get the immediately following sibling of each element in the set of matched elements. If a selector is provided, it retrieves the next sibling only if it matches that selector.
#T=.next
.next(^!)
#INFO
;Selectors > Hierarchy
;Selects all next elements matching “next” that are immediately preceded by a sibling “prev”.
#T=Next Adjacent Selector (“prev + next”)
$('^! + ')
#INFO
;Selectors > Hierarchy
;Selects all sibling elements that follow after the “prev” element, have the same parent, and match the filtering “siblings” selector.
#T=Next Siblings Selector (“prev ~ siblings”)
$('^! ~ ')
#INFO
;Traversing > Tree Traversal
;Get all following siblings of each element in the set of matched elements, optionally filtered by a selector.
#T=.nextAll
.nextAll(^!)
#INFO
;Traversing > Tree Traversal
;Get all following siblings of each element up to but not including the element matched by the selector, DOM node, or jQuery object passed.
#T=.nextUntil
.nextUntil(^!)
#INFO
;Traversing > Filtering | Traversing > Miscellaneous Traversing
;Remove elements from the set of matched elements.
#T=.not
.not(^!)
#INFO
;Selectors > Basic Filter
;Selects all elements that do not match the given selector.
#T=:not() Selector
$('^!:not()')
#INFO
;Selectors > Child Filter
;Selects all elements that are the nth-child of their parent.
#T=:nth-child() Selector
$('^!:nth-child()')
#INFO
;Selectors > Child Filter
;Selects all elements that are the nth-child of their parent, counting from the last element to the first.
#T=:nth-last-child() Selector
$('^!:nth-last-child()')
#INFO
;Selectors > Child Filter
;Selects all the elements that are the nth-child of their parent in relation to siblings with the same element name, counting from the last element to the first.
#T=:nth-last-of-type() Selector
$('^!:nth-last-of-type()')
#INFO
;Selectors > Child Filter
;Selects all elements that are the nth child of their parent in relation to siblings with the same element name.
#T=:nth-of-type() Selector
$('^!:nth-of-type()')
#INFO
;Selectors > Basic Filter | Selectors > jQuery Extensions
;Selects odd elements, zero-indexed. See also even.
#T=:odd Selector
$('^!:odd')
#INFO
;Events > Event Handler Attachment
;Remove an event handler.
#T=.off
.off(^!)
#INFO
;CSS | Offset | Manipulation > Style Properties
;Get the current coordinates of the first element, or set the coordinates of every element, in the set of matched elements, relative to the document.
#T=.offset
.offset(^!)
#INFO
;Offset | Traversing > Tree Traversal
;Get the closest ancestor element that is positioned.
#T=.offsetParent
.offsetParent(^!)
#INFO
;Events > Event Handler Attachment
;Attach an event handler function for one or more events to the selected elements.
#T=.on
.on(^!)
#INFO
;Events > Event Handler Attachment
;Attach a handler to an event for the elements. The handler is executed at most once per element per event type.
#T=.one
.one(^!)
#INFO
;Selectors > Child Filter
;Selects all elements that are the only child of their parent.
#T=:only-child Selector
$('^!:only-child')
#INFO
;Selectors > Child Filter
;Selects all elements that have no siblings with the same element name.
#T=:only-of-type Selector
$('^!:only-of-type')
#INFO
;CSS | Dimensions | Manipulation > Style Properties
;Get the current computed outer height (including padding, border, and optionally margin) for the first element in the set of matched elements or set the outer height of every matched element.
#T=.outerHeight
.outerHeight(^!)
#INFO
;CSS | Dimensions | Manipulation > Style Properties
;Get the current computed outer width (including padding, border, and optionally margin) for the first element in the set of matched elements or set the outer width of every matched element.
#T=.outerWidth
.outerWidth(^!)
#INFO
;Traversing > Tree Traversal
;Get the parent of each element in the current set of matched elements, optionally filtered by a selector.
#T=.parent
.parent(^!)
#INFO
;Selectors > Content Filter | Selectors > jQuery Extensions
;Select all elements that have at least one child node (either an element or text).
#T=:parent Selector
$('^!:parent')
#INFO
;Traversing > Tree Traversal
;Get the ancestors of each element in the current set of matched elements, optionally filtered by a selector.
#T=.parents
.parents(^!)
#INFO
;Traversing > Tree Traversal
;Get the ancestors of each element in the current set of matched elements, up to but not including the element matched by the selector, DOM node, or jQuery object.
#T=.parentsUntil
.parentsUntil(^!)
#INFO
;Selectors > Form | Selectors > jQuery Extensions
;Selects all elements of type password.
#T=:password Selector
$(':password')^!
#INFO
;CSS | Offset | Manipulation > Style Properties
;Get the current coordinates of the first element in the set of matched elements, relative to the offset parent.
#T=.position
.position(^!)
#INFO
;Manipulation > DOM Insertion, Inside
;Insert content, specified by the parameter, to the beginning of each element in the set of matched elements.
#T=.prepend
.prepend(^!)
#INFO
;Manipulation > DOM Insertion, Inside
;Insert every element in the set of matched elements to the beginning of the target.
#T=.prependTo
.prependTo(^!)
#INFO
;Traversing > Tree Traversal
;Get the immediately preceding sibling of each element in the set of matched elements. If a selector is provided, it retrieves the previous sibling only if it matches that selector.
#T=.prev
.prev(^!)
#INFO
;Traversing > Tree Traversal
;Get all preceding siblings of each element in the set of matched elements, optionally filtered by a selector.
#T=.prevAll
.prevAll(^!)
#INFO
;Traversing > Tree Traversal
;Get all preceding siblings of each element up to but not including the element matched by the selector, DOM node, or jQuery object.
#T=.prevUntil
.prevUntil(^!)
#INFO
;Deferred Object
;Return a Promise object to observe when all actions of a certain type bound to the collection, queued or not, have finished.
#T=.promise
.promise(^!)
#INFO
;Attributes | Manipulation > General Attributes
;Get the value of a property for the first element in the set of matched elements or set one or more properties for every matched element.
#T=.prop
.prop(^!)
#INFO
;Internals
;Add a collection of DOM elements onto the jQuery stack.
#T=.pushStack
.pushStack(^!)
#INFO
;Effects > Custom | Data | Utilities
;Show or manipulate the queue of functions to be executed on the matched elements.
#T=.queue
.queue(^!)
#INFO
;Selectors > Form | Selectors > jQuery Extensions
;Selects all elements of type radio.
#T=:radio Selector
$(':radio')^!
#INFO
;Events > Document Loading
;Specify a function to execute when the DOM is fully loaded.
#T=.ready
.ready(^!)
#INFO
;Manipulation > DOM Removal
;Remove the set of matched elements from the DOM.
#T=.remove
.remove(^!)
#INFO
;Attributes | Manipulation > General Attributes
;Remove an attribute from each element in the set of matched elements.
#T=.removeAttr
.removeAttr(^!)
#INFO
;Attributes | Manipulation > Class Attribute | CSS
;Remove a single class, multiple classes, or all classes from each element in the set of matched elements.
#T=.removeClass
.removeClass(^!)
#INFO
;Data | Miscellaneous > Data Storage
;Remove a previously-stored piece of data.
#T=.removeData
.removeData(^!)
#INFO
;Attributes | Manipulation > General Attributes
;Remove a property for the set of matched elements.
#T=.removeProp
.removeProp(^!)
#INFO
;Manipulation > DOM Replacement
;Replace each target element with the set of matched elements.
#T=.replaceAll
.replaceAll(^!)
#INFO
;Manipulation > DOM Replacement
;Replace each element in the set of matched elements with the provided new content and return the set of elements that was removed.
#T=.replaceWith
.replaceWith(^!)
#INFO
;Selectors > Form | Selectors > jQuery Extensions
;Selects all elements of type reset.
#T=:reset Selector
$(':reset')^!
#INFO
;Events > Browser Events
;Bind an event handler to the “resize” JavaScript event, or trigger that event on an element.
#T=.resize
.resize(^!)
#INFO
;Selectors > Basic Filter
;Selects the element that is the root of the document.
#T=:root Selector
$(':root')^!
#INFO
;Events > Browser Events
;Bind an event handler to the “scroll” JavaScript event, or trigger that event on an element.
#T=.scroll
.scroll(^!)
#INFO
;CSS | Offset | Manipulation > Style Properties
;Get the current horizontal position of the scroll bar for the first element in the set of matched elements or set the horizontal position of the scroll bar for every matched element.
#T=.scrollLeft
.scrollLeft(^!)
#INFO
;CSS | Offset | Manipulation > Style Properties
;Get the current vertical position of the scroll bar for the first element in the set of matched elements or set the vertical position of the scroll bar for every matched element.
#T=.scrollTop
.scrollTop(^!)
#INFO
;Events > Form Events | Forms
;Bind an event handler to the “select” JavaScript event, or trigger that event on an element.
#T=.select
.select(^!)
#INFO
;Selectors > Form | Selectors > jQuery Extensions
;Selects all elements that are selected.
#T=:selected Selector
$('^!:selected')
#INFO
;Deprecated > Deprecated 1.7 | Internals | Properties > Properties of jQuery Object Instances | Removed
;A selector representing selector passed to jQuery(), if any, when creating the original set.
#T=.selector
$('^!').<someFunction>('<selector>', {})
#INFO
;Forms | Ajax > Helper Functions
;Encode a set of form elements as a string for submission.
#T=.serialize
.serialize(^!)
#INFO
;Forms | Ajax > Helper Functions
;Encode a set of form elements as an array of names and values.
#T=.serializeArray
.serializeArray(^!)
#INFO
;Effects > Basics
;Display the matched elements.
#T=.show
.show(^!)
#INFO
;Traversing > Tree Traversal
;Get the siblings of each element in the set of matched elements, optionally filtered by a selector.
#T=.siblings
.siblings(^!)
#INFO
;Deprecated > Deprecated 1.8 | Miscellaneous > DOM Element Methods | Removed
;Return the number of elements in the jQuery object.
#T=.size
.size(^!)
#INFO
;Traversing > Filtering
;Reduce the set of matched elements to a subset specified by a range of indices.
#T=.slice
.slice(^!)
#INFO
;Effects > Sliding
;Display the matched elements with a sliding motion.
#T=.slideDown
.slideDown(^!)
#INFO
;Effects > Sliding
;Display or hide the matched elements with a sliding motion.
#T=.slideToggle
.slideToggle(^!)
#INFO
;Effects > Sliding
;Hide the matched elements with a sliding motion.
#T=.slideUp
.slideUp(^!)
#INFO
;Effects > Custom
;Stop the currently-running animation on the matched elements.
#T=.stop
.stop(^!)
#INFO
;Events > Form Events | Forms
;Bind an event handler to the “submit” JavaScript event, or trigger that event on an element.
#T=.submit
.submit(^!)
#INFO
;Selectors > Form | Selectors > jQuery Extensions
;Selects all elements of type submit.
#T=:submit Selector
$(':submit')^!
#INFO
;Selectors > Basic Filter
;Selects the target element indicated by the fragment identifier of the document’s URI.
#T=:target Selector
$('^!:target')
#INFO
;Manipulation > DOM Insertion, Inside
;Get the combined text contents of each element in the set of matched elements, including their descendants, or set the text contents of the matched elements.
#T=.text
.text(^!)
#INFO
;Selectors > Form | Selectors > jQuery Extensions
;Selects all input elements of type text.
#T=:text Selector
$(':text')^!
#INFO
;Miscellaneous > DOM Element Methods
;Retrieve all the elements contained in the jQuery set, as an array.
#T=.toArray
.toArray(^!)
#INFO
;Effects > Basics
;#T=.toggle
#INFO
;.toggle(^!)
;Display or hide the matched elements.
#INFO
;Deprecated > Deprecated 1.8 | Events > Mouse Events | Removed
;Bind two or more handlers to the matched elements, to be executed on alternate clicks.
#T=.toggle
.toggle(^!)
#INFO
;Attributes | Manipulation > Class Attribute | CSS
;Add or remove one or more classes from each element in the set of matched elements, depending on either the class’s presence or the value of the state argument.
#T=.toggleClass
.toggleClass(^!)
#INFO
;Events > Event Handler Attachment
;Execute all handlers and behaviors attached to the matched elements for the given event type.
#T=.trigger
.trigger(^!)
#INFO
;Events > Event Handler Attachment
;Execute all handlers attached to an element for an event.
#T=.triggerHandler
.triggerHandler(^!)
#INFO
;Deprecated > Deprecated 3.0 | Events > Event Handler Attachment
;Remove a previously-attached event handler from the elements.
#T=.unbind
.unbind(^!)
#INFO
;Deprecated > Deprecated 3.0 | Events > Event Handler Attachment
;Remove a handler from the event for all elements which match the current selector, based upon a specific set of root elements.
#T=.undelegate
.undelegate(^!)
#INFO
;Deprecated > Deprecated 1.8 | Events > Document Loading | Removed
;Bind an event handler to the “unload” JavaScript event.
#T=.unload
.unload(^!)
#INFO
;Manipulation > DOM Insertion, Around | Manipulation > DOM Removal
;Remove the parents of the set of matched elements from the DOM, leaving the matched elements in their place.
#T=.unwrap
.unwrap(^!)
#INFO
;Attributes | Forms | Manipulation > General Attributes
;Get the current value of the first element in the set of matched elements or set the value of every matched element.
#T=.val
.val(^!)
#INFO
;Selectors > jQuery Extensions | Selectors > Visibility Filter
;Selects all elements that are visible.
#T=:visible Selector
$('^!:visible')
#INFO
;CSS | Dimensions | Manipulation > Style Properties
;Get the current computed width for the first element in the set of matched elements or set the width of every matched element.
#T=.width
.width(^!)
#INFO
;Manipulation > DOM Insertion, Around
;Wrap an HTML structure around each element in the set of matched elements.
#T=.wrap
.wrap(^!)
#INFO
;Manipulation > DOM Insertion, Around
;Wrap an HTML structure around all elements in the set of matched elements.
#T=.wrapAll
.wrapAll(^!)
#INFO
;Manipulation > DOM Insertion, Around
;Wrap an HTML structure around the content of each element in the set of matched elements.
#T=.wrapInner
.wrapInner(^!)

#